DPDK patches and discussions
 help / color / mirror / Atom feed
From: Luca Vizzarro <luca.vizzarro@arm.com>
To: dev@dpdk.org, Patrick Robb <probb@iol.unh.edu>
Cc: Luca Vizzarro <luca.vizzarro@arm.com>,
	Paul Szczepanek <paul.szczepanek@arm.com>
Subject: [PATCH 5/6] dts: update dts-check-format to use Ruff
Date: Tue, 10 Dec 2024 10:32:52 +0000	[thread overview]
Message-ID: <20241210103253.3931003-6-luca.vizzarro@arm.com> (raw)
In-Reply-To: <20241210103253.3931003-1-luca.vizzarro@arm.com>

Replace the current linters and formatter in favour of Ruff in the
dts-check-format tool.

Bugzilla ID: 1358
Bugzilla ID: 1455

Signed-off-by: Luca Vizzarro <luca.vizzarro@arm.com>
Reviewed-by: Paul Szczepanek <paul.szczepanek@arm.com>
---
 devtools/dts-check-format.sh | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

diff --git a/devtools/dts-check-format.sh b/devtools/dts-check-format.sh
index 3f43e17e88..44501f6d3b 100755
--- a/devtools/dts-check-format.sh
+++ b/devtools/dts-check-format.sh
@@ -52,18 +52,11 @@ if $format; then
 	if command -v git > /dev/null; then
 		if git rev-parse --is-inside-work-tree >&-; then
 			heading "Formatting in $directory/"
-			if command -v black > /dev/null; then
-				echo "Formatting code with black:"
-				black .
+			if command -v ruff > /dev/null; then
+				echo "Formatting code with ruff:"
+				ruff format
 			else
-				echo "black is not installed, not formatting"
-				errors=$((errors + 1))
-			fi
-			if command -v isort > /dev/null; then
-				echo "Sorting imports with isort:"
-				isort .
-			else
-				echo "isort is not installed, not sorting imports"
+				echo "ruff is not installed, not formatting"
 				errors=$((errors + 1))
 			fi
 
@@ -89,11 +82,18 @@ if $lint; then
 		echo
 	fi
 	heading "Linting in $directory/"
-	if command -v pylama > /dev/null; then
-		pylama .
-		errors=$((errors + $?))
+	if command -v ruff > /dev/null; then
+		ruff check --fix
+
+		git update-index --refresh
+		retval=$?
+		if [ $retval -ne 0 ]; then
+			echo 'The "needs update" files have been fixed by the linter.'
+			echo 'Please update your commit.'
+		fi
+		errors=$((errors + retval))
 	else
-		echo "pylama not found, unable to run linter"
+		echo "ruff not found, unable to run linter"
 		errors=$((errors + 1))
 	fi
 fi
-- 
2.43.0


  parent reply	other threads:[~2024-12-10 10:34 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-10 10:32 [PATCH 0/6] dts: add Ruff and docstring linting Luca Vizzarro
2024-12-10 10:32 ` [PATCH 1/6] dts: add Ruff as linter and formatter Luca Vizzarro
2024-12-10 10:32 ` [PATCH 2/6] dts: enable Ruff preview pydoclint rules Luca Vizzarro
2024-12-10 10:32 ` [PATCH 3/6] dts: fix docstring linter errors Luca Vizzarro
2024-12-10 10:32 ` [PATCH 4/6] dts: apply Ruff formatting Luca Vizzarro
2024-12-10 10:32 ` Luca Vizzarro [this message]
2024-12-10 10:32 ` [PATCH 6/6] dts: remove old linters and formatters Luca Vizzarro
2024-12-12 14:00 ` [PATCH v2 0/7] dts: add Ruff and docstring linting Luca Vizzarro
2024-12-12 14:00   ` [PATCH v2 1/7] dts: add Ruff as linter and formatter Luca Vizzarro
2024-12-12 14:00   ` [PATCH v2 2/7] dts: enable Ruff preview pydoclint rules Luca Vizzarro
2024-12-12 14:00   ` [PATCH v2 3/7] dts: resolve docstring linter errors Luca Vizzarro
2024-12-12 14:00   ` [PATCH v2 4/7] dts: apply Ruff formatting Luca Vizzarro
2024-12-12 14:00   ` [PATCH v2 5/7] dts: update dts-check-format to use Ruff Luca Vizzarro
2024-12-12 14:00   ` [PATCH v2 6/7] dts: remove old linters and formatters Luca Vizzarro
2024-12-12 14:00   ` [PATCH v2 7/7] dts: update linters in doc page Luca Vizzarro
2024-12-17 10:15     ` Xu, HailinX
2024-12-20 23:14   ` [PATCH v2 0/7] dts: add Ruff and docstring linting Patrick Robb

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20241210103253.3931003-6-luca.vizzarro@arm.com \
    --to=luca.vizzarro@arm.com \
    --cc=dev@dpdk.org \
    --cc=paul.szczepanek@arm.com \
    --cc=probb@iol.unh.edu \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).